import { jsx as _jsx } from "react/jsx-runtime";
import { useState, createContext } from 'react';
export const KeyboardContext = createContext({
    focusedElementID: '',
    setFocusedElementID: () => void 0,
});
export default function KeyboardProvider({ children, }) {
    const [focusedElementID, setFocusedElementID] = useState('');
    return (_jsx(KeyboardContext.Provider, Object.assign({ value: { focusedElementID, setFocusedElementID } }, { children: children })));
}
