declare type Handler = (event: KeyboardEvent) => void;
interface IUserKeyboardProps {
    id: string;
    handlers: Record<string, Handler>;
    global?: boolean;
    autoFocus?: boolean;
}
interface IuseKeyboard {
    focus: () => void;
    hasFocus: boolean;
}
export default function useKeyboard({ id, handlers, global, autoFocus, }: IUserKeyboardProps): IuseKeyboard;
export {};
